Package org.eclipse.jface.text.contentassist

## Interface ICompletionListenerExtension2

    public interface ICompletionListenerExtension2

Extends `ICompletionListener` with an additional notification after applying a proposal.

Clients may implement this interface.

Since:
  3.8

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `applied​(ICompletionProposal proposal)` Called after applying a proposal.

### Method Detail

#### applied

    void applied​(ICompletionProposal proposal)

Called after applying a proposal.

Parameters:
  `proposal` - the applied proposal